Update the test now sscanf is obsolete.
[scilab.git] / scilab / modules / intersci / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
37 ##########
38
39
40
41
42 VPATH = @srcdir@
43 am__make_dryrun = \
44   { \
45     am__dry=no; \
46     case $$MAKEFLAGS in \
47       *\\[\ \   ]*) \
48         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
49           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
50       *) \
51         for am__flg in $$MAKEFLAGS; do \
52           case $$am__flg in \
53             *=*|--*) ;; \
54             *n*) am__dry=yes; break;; \
55           esac; \
56         done;; \
57     esac; \
58     test $$am__dry = yes; \
59   }
60 pkgdatadir = $(datadir)/@PACKAGE@
61 pkgincludedir = $(includedir)/@PACKAGE@
62 pkglibdir = $(libdir)/@PACKAGE@
63 pkglibexecdir = $(libexecdir)/@PACKAGE@
64 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
65 install_sh_DATA = $(install_sh) -c -m 644
66 install_sh_PROGRAM = $(install_sh) -c
67 install_sh_SCRIPT = $(install_sh) -c
68 INSTALL_HEADER = $(INSTALL_DATA)
69 transform = $(program_transform_name)
70 NORMAL_INSTALL = :
71 PRE_INSTALL = :
72 POST_INSTALL = :
73 NORMAL_UNINSTALL = :
74 PRE_UNINSTALL = :
75 POST_UNINSTALL = :
76 build_triplet = @build@
77 host_triplet = @host@
78 bin_PROGRAMS = intersci$(EXEEXT)
79 DIST_COMMON = $(libsciintersci_la_include_HEADERS) \
80         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
81         $(top_srcdir)/Makefile.incl.am
82 @NEED_JAVA_TRUE@am__append_1 = java
83 subdir = modules/intersci
84 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
85 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
86         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
87         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/fftw.m4 \
88         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
89         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
90         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
91         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
92         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
93         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
94         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
95         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
96         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
97         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
98         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
99         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
100         $(top_srcdir)/configure.ac
101 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102         $(ACLOCAL_M4)
103 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
104 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
105 CONFIG_CLEAN_FILES =
106 CONFIG_CLEAN_VPATH_FILES =
107 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
108 am__vpath_adj = case $$p in \
109     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
110     *) f=$$p;; \
111   esac;
112 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
113 am__install_max = 40
114 am__nobase_strip_setup = \
115   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
116 am__nobase_strip = \
117   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
118 am__nobase_list = $(am__nobase_strip_setup); \
119   for p in $$list; do echo "$$p $$p"; done | \
120   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
121   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
122     if (++n[$$2] == $(am__install_max)) \
123       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
124     END { for (dir in files) print dir, files[dir] }'
125 am__base_list = \
126   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
127   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
128 am__uninstall_files_from_dir = { \
129   test -z "$$files" \
130     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
131     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
132          $(am__cd) "$$dir" && rm -f $$files; }; \
133   }
134 am__installdirs = "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)" \
135         "$(DESTDIR)$(libsciintersci_la_etcdir)" \
136         "$(DESTDIR)$(libsciintersci_la_rootdir)" \
137         "$(DESTDIR)$(libsciintersci_la_includedir)"
138 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
139 libsciintersci_la_LIBADD =
140 am__objects_1 = libsciintersci_la-libinter.lo libsciintersci_la-out.lo
141 am_libsciintersci_la_OBJECTS = $(am__objects_1)
142 libsciintersci_la_OBJECTS = $(am_libsciintersci_la_OBJECTS)
143 @MAINTAINER_MODE_FALSE@am_libsciintersci_la_rpath =
144 @MAINTAINER_MODE_TRUE@am_libsciintersci_la_rpath = -rpath $(pkglibdir)
145 PROGRAMS = $(bin_PROGRAMS)
146 am__objects_2 = intersci-n.$(OBJEXT) getrhs.$(OBJEXT) crerhs.$(OBJEXT) \
147         variables.$(OBJEXT) read.$(OBJEXT) fornames.$(OBJEXT) \
148         out-e.$(OBJEXT) outext.$(OBJEXT) declare.$(OBJEXT) \
149         opt.$(OBJEXT) check.$(OBJEXT)
150 am_intersci_OBJECTS = $(am__objects_2)
151 intersci_OBJECTS = $(am_intersci_OBJECTS)
152 intersci_LDADD = $(LDADD)
153 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
154 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
155 am__depfiles_maybe = depfiles
156 am__mv = mv -f
157 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
158         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
159 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
160         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
161         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
162 CCLD = $(CC)
163 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
164         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
165         $(LDFLAGS) -o $@
166 SOURCES = $(libsciintersci_la_SOURCES) $(intersci_SOURCES)
167 DIST_SOURCES = $(libsciintersci_la_SOURCES) $(intersci_SOURCES)
168 am__can_run_installinfo = \
169   case $$AM_UPDATE_INFO_DIR in \
170     n|no|NO) false;; \
171     *) (install-info --version) >/dev/null 2>&1;; \
172   esac
173 DATA = $(libsciintersci_la_etc_DATA) $(libsciintersci_la_root_DATA)
174 HEADERS = $(libsciintersci_la_include_HEADERS)
175 ETAGS = etags
176 CTAGS = ctags
177 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
178 ACLOCAL = @ACLOCAL@
179 ALL_LINGUAS = @ALL_LINGUAS@
180 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
181 AMTAR = @AMTAR@
182 ANT = @ANT@
183 ANTLR = @ANTLR@
184 AR = @AR@
185 ARPACK_LIBS = @ARPACK_LIBS@
186 ASM3 = @ASM3@
187 AUTOCONF = @AUTOCONF@
188 AUTOHEADER = @AUTOHEADER@
189 AUTOMAKE = @AUTOMAKE@
190 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
191 AWK = @AWK@
192 BATIK = @BATIK@
193 BLAS_LIBS = @BLAS_LIBS@
194 CC = @CC@
195 CCACHE = @CCACHE@
196 CCDEPMODE = @CCDEPMODE@
197 CFLAGS = @CFLAGS@
198 CHECKSTYLE = @CHECKSTYLE@
199 COBERTURA = @COBERTURA@
200 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
201 COMMONS_IO = @COMMONS_IO@
202 COMMONS_LOGGING = @COMMONS_LOGGING@
203 CPP = @CPP@
204 CPPFLAGS = @CPPFLAGS@
205 CXX = @CXX@
206 CXXCPP = @CXXCPP@
207 CXXDEPMODE = @CXXDEPMODE@
208 CXXFLAGS = @CXXFLAGS@
209 CYGPATH_W = @CYGPATH_W@
210 DEFS = @DEFS@
211 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
212 DEPDIR = @DEPDIR@
213 DOCBOOK_ROOT = @DOCBOOK_ROOT@
214 DOXYGEN_BIN = @DOXYGEN_BIN@
215 DSYMUTIL = @DSYMUTIL@
216 DUMPBIN = @DUMPBIN@
217 ECHO_C = @ECHO_C@
218 ECHO_N = @ECHO_N@
219 ECHO_T = @ECHO_T@
220 EGREP = @EGREP@
221 EXEEXT = @EXEEXT@
222 F77 = @F77@
223 FFLAGS = @FFLAGS@
224 FFTW3_LIB = @FFTW3_LIB@
225 FFTW_ENABLE = @FFTW_ENABLE@
226 FGREP = @FGREP@
227 FLEXDOCK = @FLEXDOCK@
228 FLIBS = @FLIBS@
229 FOP = @FOP@
230 GENHTML = @GENHTML@
231 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
232 GIWS_BIN = @GIWS_BIN@
233 GLUEGEN2_RT = @GLUEGEN2_RT@
234 GMSGFMT = @GMSGFMT@
235 GMSGFMT_015 = @GMSGFMT_015@
236 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
237 GREP = @GREP@
238 GUI_ENABLE = @GUI_ENABLE@
239 HDF5_CFLAGS = @HDF5_CFLAGS@
240 HDF5_LIBS = @HDF5_LIBS@
241 HELP_ENABLE = @HELP_ENABLE@
242 INSTALL = @INSTALL@
243 INSTALL_DATA = @INSTALL_DATA@
244 INSTALL_PROGRAM = @INSTALL_PROGRAM@
245 INSTALL_SCRIPT = @INSTALL_SCRIPT@
246 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
247 INTLLIBS = @INTLLIBS@
248 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
249 JAR = @JAR@
250 JAVA = @JAVA@
251 JAVAC = @JAVAC@
252 JAVAC_DEBUG = @JAVAC_DEBUG@
253 JAVADOC = @JAVADOC@
254 JAVAH = @JAVAH@
255 JAVASCI_ENABLE = @JAVASCI_ENABLE@
256 JAVA_ENABLE = @JAVA_ENABLE@
257 JAVA_G = @JAVA_G@
258 JAVA_HOME = @JAVA_HOME@
259 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
260 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
261 JDB = @JDB@
262 JEUCLID_CORE = @JEUCLID_CORE@
263 JGRAPHX = @JGRAPHX@
264 JHALL = @JHALL@
265 JLATEXMATH = @JLATEXMATH@
266 JLATEXMATH_FOP = @JLATEXMATH_FOP@
267 JOGL2 = @JOGL2@
268 JROSETTA_API = @JROSETTA_API@
269 JROSETTA_ENGINE = @JROSETTA_ENGINE@
270 JUNIT4 = @JUNIT4@
271 LAPACK_LIBS = @LAPACK_LIBS@
272 LCOV = @LCOV@
273 LD = @LD@
274 LDFLAGS = @LDFLAGS@
275 LIBICONV = @LIBICONV@
276 LIBINTL = @LIBINTL@
277 LIBM = @LIBM@
278 LIBOBJS = @LIBOBJS@
279 LIBS = @LIBS@
280 LIBTOOL = @LIBTOOL@
281 LIPO = @LIPO@
282 LN_S = @LN_S@
283 LOGGING_LEVEL = @LOGGING_LEVEL@
284 LOOKS = @LOOKS@
285 LTLIBICONV = @LTLIBICONV@
286 LTLIBINTL = @LTLIBINTL@
287 LTLIBOBJS = @LTLIBOBJS@
288 MAINT = @MAINT@
289 MAKEINFO = @MAKEINFO@
290 MATIO_CFLAGS = @MATIO_CFLAGS@
291 MATIO_ENABLE = @MATIO_ENABLE@
292 MATIO_LIBS = @MATIO_LIBS@
293 MKDIR_P = @MKDIR_P@
294 MSGCAT = @MSGCAT@
295 MSGFMT = @MSGFMT@
296 MSGFMT_015 = @MSGFMT_015@
297 MSGMERGE = @MSGMERGE@
298 NM = @NM@
299 NMEDIT = @NMEDIT@
300 OBJDUMP = @OBJDUMP@
301 OBJEXT = @OBJEXT@
302 OCAMLC = @OCAMLC@
303 OCAMLDEP = @OCAMLDEP@
304 OCAMLLEX = @OCAMLLEX@
305 OCAMLOPT = @OCAMLOPT@
306 OCAMLYACC = @OCAMLYACC@
307 OPENMP_CFLAGS = @OPENMP_CFLAGS@
308 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
309 OPENMP_ENABLE = @OPENMP_ENABLE@
310 OPENMP_LIBS = @OPENMP_LIBS@
311 OTOOL = @OTOOL@
312 OTOOL64 = @OTOOL64@
313 PACKAGE = @PACKAGE@
314 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
315 PACKAGE_NAME = @PACKAGE_NAME@
316 PACKAGE_STRING = @PACKAGE_STRING@
317 PACKAGE_TARNAME = @PACKAGE_TARNAME@
318 PACKAGE_URL = @PACKAGE_URL@
319 PACKAGE_VERSION = @PACKAGE_VERSION@
320 PATH_SEPARATOR = @PATH_SEPARATOR@
321 PCRE_CFLAGS = @PCRE_CFLAGS@
322 PCRE_CONFIG = @PCRE_CONFIG@
323 PCRE_LIBS = @PCRE_LIBS@
324 PCRE_VERSION = @PCRE_VERSION@
325 PKG_CONFIG = @PKG_CONFIG@
326 POSUB = @POSUB@
327 POW_LIB = @POW_LIB@
328 PYTHON = @PYTHON@
329 RANLIB = @RANLIB@
330 RELOCATABLE = @RELOCATABLE@
331 RT_LIB = @RT_LIB@
332 SAXON = @SAXON@
333 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
334 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
335 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
336 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
337 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
338 SCIRENDERER = @SCIRENDERER@
339 SCI_CFLAGS = @SCI_CFLAGS@
340 SCI_CXXFLAGS = @SCI_CXXFLAGS@
341 SCI_FFLAGS = @SCI_FFLAGS@
342 SCI_LDFLAGS = @SCI_LDFLAGS@
343 SED = @SED@
344 SET_MAKE = @SET_MAKE@
345 SET_RELOCATABLE = @SET_RELOCATABLE@
346 SHELL = @SHELL@
347 SKINLF = @SKINLF@
348 SPLINT = @SPLINT@
349 STRIP = @STRIP@
350 SWIG_BIN = @SWIG_BIN@
351 SWIG_JAVA = @SWIG_JAVA@
352 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
353 TCLTK_LIBS = @TCLTK_LIBS@
354 TCL_INC_PATH = @TCL_INC_PATH@
355 TK_INC_PATH = @TK_INC_PATH@
356 UMFPACK_ENABLE = @UMFPACK_ENABLE@
357 UMFPACK_LIB = @UMFPACK_LIB@
358 USE_NLS = @USE_NLS@
359 VERSION = @VERSION@
360 WITH_OCAML = @WITH_OCAML@
361 WITH_TKSCI = @WITH_TKSCI@
362 XCOS_ENABLE = @XCOS_ENABLE@
363 XGETTEXT = @XGETTEXT@
364 XGETTEXT_015 = @XGETTEXT_015@
365 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
366 XMKMF = @XMKMF@
367 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
368 XML_APIS_EXT = @XML_APIS_EXT@
369 XML_CONFIG = @XML_CONFIG@
370 XML_FLAGS = @XML_FLAGS@
371 XML_LIBS = @XML_LIBS@
372 XML_VERSION = @XML_VERSION@
373 X_CFLAGS = @X_CFLAGS@
374 X_EXTRA_LIBS = @X_EXTRA_LIBS@
375 X_LIBS = @X_LIBS@
376 X_PRE_LIBS = @X_PRE_LIBS@
377 abs_builddir = @abs_builddir@
378 abs_srcdir = @abs_srcdir@
379 abs_top_builddir = @abs_top_builddir@
380 abs_top_srcdir = @abs_top_srcdir@
381 ac_ct_CC = @ac_ct_CC@
382 ac_ct_CXX = @ac_ct_CXX@
383 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
384 ac_ct_F77 = @ac_ct_F77@
385 am__include = @am__include@
386 am__leading_dot = @am__leading_dot@
387 am__quote = @am__quote@
388 am__tar = @am__tar@
389 am__untar = @am__untar@
390 bindir = @bindir@
391 build = @build@
392 build_alias = @build_alias@
393 build_cpu = @build_cpu@
394 build_os = @build_os@
395 build_vendor = @build_vendor@
396 builddir = @builddir@
397 cxx_present = @cxx_present@
398 datadir = @datadir@
399 datarootdir = @datarootdir@
400 docdir = @docdir@
401 dvidir = @dvidir@
402 exec_prefix = @exec_prefix@
403 host = @host@
404 host_alias = @host_alias@
405 host_cpu = @host_cpu@
406 host_os = @host_os@
407 host_vendor = @host_vendor@
408 htmldir = @htmldir@
409 includedir = @includedir@
410 infodir = @infodir@
411 install_sh = @install_sh@
412 libdir = @libdir@
413 libexecdir = @libexecdir@
414 localedir = @localedir@
415 localstatedir = @localstatedir@
416 mandir = @mandir@
417 mkdir_p = @mkdir_p@
418 oldincludedir = @oldincludedir@
419 pdfdir = @pdfdir@
420 prefix = @prefix@
421 program_transform_name = @program_transform_name@
422 psdir = @psdir@
423 sbindir = @sbindir@
424 sharedstatedir = @sharedstatedir@
425 srcdir = @srcdir@
426 sysconfdir = @sysconfdir@
427 target_alias = @target_alias@
428 top_build_prefix = @top_build_prefix@
429 top_builddir = @top_builddir@
430 top_srcdir = @top_srcdir@
431 INTERSCI_LIB_C_SOURCES = \
432 src/lib/libinter.c \
433 src/lib/out.c
434
435 INTERSCI_EXE_C_SOURCES = \
436 src/exe/intersci-n.c \
437 src/exe/getrhs.c \
438 src/exe/crerhs.c \
439 src/exe/variables.c \
440 src/exe/read.c \
441 src/exe/fornames.c \
442 src/exe/out-e.c \
443 src/exe/outext.c \
444 src/exe/declare.c \
445 src/exe/opt.c \
446 src/exe/check.c
447
448 libsciintersci_la_includedir = $(pkgincludedir)
449 libsciintersci_la_include_HEADERS = includes/libinter.h
450 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciintersci.la
451 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciintersci.la
452 intersci_SOURCES = $(INTERSCI_EXE_C_SOURCES)
453 libsciintersci_la_SOURCES = $(INTERSCI_LIB_C_SOURCES)
454 libsciintersci_la_CPPFLAGS = -I$(top_srcdir)/libs/MALLOC/includes/ \
455                                 -I$(top_srcdir)/modules/output_stream/includes/ \
456                                 -I$(srcdir)/includes/ \
457                 -I$(top_srcdir)/modules/string/includes/ \
458                 $(AM_CPPFLAGS)
459
460
461 # For the code check (splint)
462 CHECK_SRC = $(libsciintersci_la_SOURCES)
463 INCLUDE_FLAGS = $(libsciintersci_la_CPPFLAGS)
464
465 #### Target ######
466 modulename = intersci
467
468 #### intersci : Conf files ####
469 libsciintersci_la_rootdir = $(mydatadir)
470 libsciintersci_la_root_DATA = license.txt 
471
472 ####¬†intersci : init scripts ####
473 libsciintersci_la_etcdir = $(mydatadir)/etc
474 libsciintersci_la_etc_DATA = etc/intersci.quit etc/intersci.start
475
476 # Where all the Scilab stuff is installed (macros, help, ...)
477 mydatadir = $(pkgdatadir)/modules/$(modulename)
478
479 # Set AM_* SCI detected settings
480 AM_CPPFLAGS = $(SCI_CPPFLAGS)
481 AM_CFLAGS = $(SCI_CFLAGS)
482 AM_CXXFLAGS = $(SCI_CXXFLAGS)
483 # append includes to AM_FFLAGS to manage fortran includes
484 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
485
486 # Tag shared libraries with the Scilab version
487 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
488
489 # splint options
490 SPLINT_OPTIONS = -weak -booltype BOOL
491
492 ########################### JAVA ######################################
493 #### We are delegating java compilation to ant... Thanks to that
494 #### the procedure will be the same with Microsoft Windows (C)
495 #### and Linux/Unix
496 #######################################################################
497 TARGETS_ALL = $(am__append_1)
498
499 ################ MACROS ######################
500 # Rule to build a macro
501 # NOT USED  AT THE MOMENT
502 SUFFIXES = .sci 
503
504 ########### INSTALL DOCUMENTATION ###################
505
506 # Install documentation files into the right target
507 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
508 # automake needs the html files to be present which is not the case when
509 # we are building Scilab
510
511 # Where it should be installed
512 pkgdocdir = $(mydatadir)
513
514 # What is the mask of the help source
515 DOCMASKXML = *.xml
516
517 # What is the mask of the MathML sources
518 DOCMASKMML = *.mml
519
520 ########### INSTALL DATA ###################
521 # Install macros, help & demos
522 # Where it should be installed
523 pkgmacrosdir = $(mydatadir)
524 # Which directory we process
525 MACRODIRS = macros/
526 # Mask of the Scilab sources macros
527 MACROMASK = *.sci
528 # Mask of the Scilab executable sources macros
529 MACROBUILDMASK = *.sce
530 # Mask of the Scilab compiled macros
531 MACROBINMASK = *.bin
532 # List of the standard directory for tests
533 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
534 # Where the demos should be installed
535 pkgdemosdir = $(mydatadir)
536 # List of the standard directory for demos
537 DEMOS_DIR = demos
538 # List of the standard directory for examples
539 EXAMPLES_DIR = examples
540 # Where to export JAVA archives (.jar)
541 JARDIR = jar/
542 # JAR files mask
543 JARMASK = *.jar
544 # Chapter file 
545 HELP_CHAPTERDIR = help/
546 HELP_CHAPTERFILE = addchapter.sce
547 HELP_CHAPTERLANG = en_US fr_FR pt_BR
548 all: all-am
549
550 .SUFFIXES:
551 .SUFFIXES: .sci .bin .c .lo .o .obj
552 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
553         @for dep in $?; do \
554           case '$(am__configure_deps)' in \
555             *$$dep*) \
556               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
557                 && { if test -f $@; then exit 0; else break; fi; }; \
558               exit 1;; \
559           esac; \
560         done; \
561         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/intersci/Makefile'; \
562         $(am__cd) $(top_srcdir) && \
563           $(AUTOMAKE) --foreign modules/intersci/Makefile
564 .PRECIOUS: Makefile
565 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
566         @case '$?' in \
567           *config.status*) \
568             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
569           *) \
570             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
571             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
572         esac;
573 $(top_srcdir)/Makefile.incl.am:
574
575 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
576         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
577
578 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
579         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
580 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
581         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
582 $(am__aclocal_m4_deps):
583
584 clean-noinstLTLIBRARIES:
585         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
586         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
587           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
588           test "$$dir" != "$$p" || dir=.; \
589           echo "rm -f \"$${dir}/so_locations\""; \
590           rm -f "$${dir}/so_locations"; \
591         done
592 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
593         @$(NORMAL_INSTALL)
594         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
595         list2=; for p in $$list; do \
596           if test -f $$p; then \
597             list2="$$list2 $$p"; \
598           else :; fi; \
599         done; \
600         test -z "$$list2" || { \
601           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
602           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
603           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
604           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
605         }
606
607 uninstall-pkglibLTLIBRARIES:
608         @$(NORMAL_UNINSTALL)
609         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
610         for p in $$list; do \
611           $(am__strip_dir) \
612           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
613           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
614         done
615
616 clean-pkglibLTLIBRARIES:
617         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
618         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
619           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
620           test "$$dir" != "$$p" || dir=.; \
621           echo "rm -f \"$${dir}/so_locations\""; \
622           rm -f "$${dir}/so_locations"; \
623         done
624 libsciintersci.la: $(libsciintersci_la_OBJECTS) $(libsciintersci_la_DEPENDENCIES) $(EXTRA_libsciintersci_la_DEPENDENCIES) 
625         $(LINK) $(am_libsciintersci_la_rpath) $(libsciintersci_la_OBJECTS) $(libsciintersci_la_LIBADD) $(LIBS)
626 install-binPROGRAMS: $(bin_PROGRAMS)
627         @$(NORMAL_INSTALL)
628         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
629         if test -n "$$list"; then \
630           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
631           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
632         fi; \
633         for p in $$list; do echo "$$p $$p"; done | \
634         sed 's/$(EXEEXT)$$//' | \
635         while read p p1; do if test -f $$p || test -f $$p1; \
636           then echo "$$p"; echo "$$p"; else :; fi; \
637         done | \
638         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
639             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
640         sed 'N;N;N;s,\n, ,g' | \
641         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
642           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
643             if ($$2 == $$4) files[d] = files[d] " " $$1; \
644             else { print "f", $$3 "/" $$4, $$1; } } \
645           END { for (d in files) print "f", d, files[d] }' | \
646         while read type dir files; do \
647             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
648             test -z "$$files" || { \
649             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
650             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
651             } \
652         ; done
653
654 uninstall-binPROGRAMS:
655         @$(NORMAL_UNINSTALL)
656         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
657         files=`for p in $$list; do echo "$$p"; done | \
658           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
659               -e 's/$$/$(EXEEXT)/' `; \
660         test -n "$$list" || exit 0; \
661         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
662         cd "$(DESTDIR)$(bindir)" && rm -f $$files
663
664 clean-binPROGRAMS:
665         @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
666         echo " rm -f" $$list; \
667         rm -f $$list || exit $$?; \
668         test -n "$(EXEEXT)" || exit 0; \
669         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
670         echo " rm -f" $$list; \
671         rm -f $$list
672 intersci$(EXEEXT): $(intersci_OBJECTS) $(intersci_DEPENDENCIES) $(EXTRA_intersci_DEPENDENCIES) 
673         @rm -f intersci$(EXEEXT)
674         $(LINK) $(intersci_OBJECTS) $(intersci_LDADD) $(LIBS)
675
676 mostlyclean-compile:
677         -rm -f *.$(OBJEXT)
678
679 distclean-compile:
680         -rm -f *.tab.c
681
682 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/check.Po@am__quote@
683 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crerhs.Po@am__quote@
684 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/declare.Po@am__quote@
685 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fornames.Po@am__quote@
686 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getrhs.Po@am__quote@
687 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/intersci-n.Po@am__quote@
688 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciintersci_la-libinter.Plo@am__quote@
689 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciintersci_la-out.Plo@am__quote@
690 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/opt.Po@am__quote@
691 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/out-e.Po@am__quote@
692 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/outext.Po@am__quote@
693 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read.Po@am__quote@
694 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/variables.Po@am__quote@
695
696 .c.o:
697 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
698 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
699 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
700 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
701 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
702
703 .c.obj:
704 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
705 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
706 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
707 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
708 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
709
710 .c.lo:
711 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
712 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
713 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
714 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
715 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
716
717 libsciintersci_la-libinter.lo: src/lib/libinter.c
718 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciintersci_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciintersci_la-libinter.lo -MD -MP -MF $(DEPDIR)/libsciintersci_la-libinter.Tpo -c -o libsciintersci_la-libinter.lo `test -f 'src/lib/libinter.c' || echo '$(srcdir)/'`src/lib/libinter.c
719 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciintersci_la-libinter.Tpo $(DEPDIR)/libsciintersci_la-libinter.Plo
720 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/lib/libinter.c' object='libsciintersci_la-libinter.lo' libtool=yes @AMDEPBACKSLASH@
721 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
722 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciintersci_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciintersci_la-libinter.lo `test -f 'src/lib/libinter.c' || echo '$(srcdir)/'`src/lib/libinter.c
723
724 libsciintersci_la-out.lo: src/lib/out.c
725 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciintersci_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciintersci_la-out.lo -MD -MP -MF $(DEPDIR)/libsciintersci_la-out.Tpo -c -o libsciintersci_la-out.lo `test -f 'src/lib/out.c' || echo '$(srcdir)/'`src/lib/out.c
726 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciintersci_la-out.Tpo $(DEPDIR)/libsciintersci_la-out.Plo
727 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/lib/out.c' object='libsciintersci_la-out.lo' libtool=yes @AMDEPBACKSLASH@
728 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
729 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciintersci_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciintersci_la-out.lo `test -f 'src/lib/out.c' || echo '$(srcdir)/'`src/lib/out.c
730
731 intersci-n.o: src/exe/intersci-n.c
732 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT intersci-n.o -MD -MP -MF $(DEPDIR)/intersci-n.Tpo -c -o intersci-n.o `test -f 'src/exe/intersci-n.c' || echo '$(srcdir)/'`src/exe/intersci-n.c
733 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/intersci-n.Tpo $(DEPDIR)/intersci-n.Po
734 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/intersci-n.c' object='intersci-n.o' libtool=no @AMDEPBACKSLASH@
735 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
736 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o intersci-n.o `test -f 'src/exe/intersci-n.c' || echo '$(srcdir)/'`src/exe/intersci-n.c
737
738 intersci-n.obj: src/exe/intersci-n.c
739 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT intersci-n.obj -MD -MP -MF $(DEPDIR)/intersci-n.Tpo -c -o intersci-n.obj `if test -f 'src/exe/intersci-n.c'; then $(CYGPATH_W) 'src/exe/intersci-n.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/intersci-n.c'; fi`
740 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/intersci-n.Tpo $(DEPDIR)/intersci-n.Po
741 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/intersci-n.c' object='intersci-n.obj' libtool=no @AMDEPBACKSLASH@
742 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
743 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o intersci-n.obj `if test -f 'src/exe/intersci-n.c'; then $(CYGPATH_W) 'src/exe/intersci-n.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/intersci-n.c'; fi`
744
745 getrhs.o: src/exe/getrhs.c
746 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getrhs.o -MD -MP -MF $(DEPDIR)/getrhs.Tpo -c -o getrhs.o `test -f 'src/exe/getrhs.c' || echo '$(srcdir)/'`src/exe/getrhs.c
747 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/getrhs.Tpo $(DEPDIR)/getrhs.Po
748 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/getrhs.c' object='getrhs.o' libtool=no @AMDEPBACKSLASH@
749 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
750 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getrhs.o `test -f 'src/exe/getrhs.c' || echo '$(srcdir)/'`src/exe/getrhs.c
751
752 getrhs.obj: src/exe/getrhs.c
753 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getrhs.obj -MD -MP -MF $(DEPDIR)/getrhs.Tpo -c -o getrhs.obj `if test -f 'src/exe/getrhs.c'; then $(CYGPATH_W) 'src/exe/getrhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/getrhs.c'; fi`
754 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/getrhs.Tpo $(DEPDIR)/getrhs.Po
755 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/getrhs.c' object='getrhs.obj' libtool=no @AMDEPBACKSLASH@
756 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
757 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getrhs.obj `if test -f 'src/exe/getrhs.c'; then $(CYGPATH_W) 'src/exe/getrhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/getrhs.c'; fi`
758
759 crerhs.o: src/exe/crerhs.c
760 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT crerhs.o -MD -MP -MF $(DEPDIR)/crerhs.Tpo -c -o crerhs.o `test -f 'src/exe/crerhs.c' || echo '$(srcdir)/'`src/exe/crerhs.c
761 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/crerhs.Tpo $(DEPDIR)/crerhs.Po
762 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/crerhs.c' object='crerhs.o' libtool=no @AMDEPBACKSLASH@
763 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
764 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o crerhs.o `test -f 'src/exe/crerhs.c' || echo '$(srcdir)/'`src/exe/crerhs.c
765
766 crerhs.obj: src/exe/crerhs.c
767 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT crerhs.obj -MD -MP -MF $(DEPDIR)/crerhs.Tpo -c -o crerhs.obj `if test -f 'src/exe/crerhs.c'; then $(CYGPATH_W) 'src/exe/crerhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/crerhs.c'; fi`
768 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/crerhs.Tpo $(DEPDIR)/crerhs.Po
769 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/crerhs.c' object='crerhs.obj' libtool=no @AMDEPBACKSLASH@
770 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
771 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o crerhs.obj `if test -f 'src/exe/crerhs.c'; then $(CYGPATH_W) 'src/exe/crerhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/crerhs.c'; fi`
772
773 variables.o: src/exe/variables.c
774 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT variables.o -MD -MP -MF $(DEPDIR)/variables.Tpo -c -o variables.o `test -f 'src/exe/variables.c' || echo '$(srcdir)/'`src/exe/variables.c
775 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/variables.Tpo $(DEPDIR)/variables.Po
776 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/variables.c' object='variables.o' libtool=no @AMDEPBACKSLASH@
777 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
778 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o variables.o `test -f 'src/exe/variables.c' || echo '$(srcdir)/'`src/exe/variables.c
779
780 variables.obj: src/exe/variables.c
781 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT variables.obj -MD -MP -MF $(DEPDIR)/variables.Tpo -c -o variables.obj `if test -f 'src/exe/variables.c'; then $(CYGPATH_W) 'src/exe/variables.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/variables.c'; fi`
782 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/variables.Tpo $(DEPDIR)/variables.Po
783 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/variables.c' object='variables.obj' libtool=no @AMDEPBACKSLASH@
784 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
785 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o variables.obj `if test -f 'src/exe/variables.c'; then $(CYGPATH_W) 'src/exe/variables.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/variables.c'; fi`
786
787 read.o: src/exe/read.c
788 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT read.o -MD -MP -MF $(DEPDIR)/read.Tpo -c -o read.o `test -f 'src/exe/read.c' || echo '$(srcdir)/'`src/exe/read.c
789 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/read.Tpo $(DEPDIR)/read.Po
790 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/read.c' object='read.o' libtool=no @AMDEPBACKSLASH@
791 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
792 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o read.o `test -f 'src/exe/read.c' || echo '$(srcdir)/'`src/exe/read.c
793
794 read.obj: src/exe/read.c
795 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT read.obj -MD -MP -MF $(DEPDIR)/read.Tpo -c -o read.obj `if test -f 'src/exe/read.c'; then $(CYGPATH_W) 'src/exe/read.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/read.c'; fi`
796 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/read.Tpo $(DEPDIR)/read.Po
797 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/read.c' object='read.obj' libtool=no @AMDEPBACKSLASH@
798 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
799 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o read.obj `if test -f 'src/exe/read.c'; then $(CYGPATH_W) 'src/exe/read.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/read.c'; fi`
800
801 fornames.o: src/exe/fornames.c
802 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fornames.o -MD -MP -MF $(DEPDIR)/fornames.Tpo -c -o fornames.o `test -f 'src/exe/fornames.c' || echo '$(srcdir)/'`src/exe/fornames.c
803 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/fornames.Tpo $(DEPDIR)/fornames.Po
804 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/fornames.c' object='fornames.o' libtool=no @AMDEPBACKSLASH@
805 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
806 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fornames.o `test -f 'src/exe/fornames.c' || echo '$(srcdir)/'`src/exe/fornames.c
807
808 fornames.obj: src/exe/fornames.c
809 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fornames.obj -MD -MP -MF $(DEPDIR)/fornames.Tpo -c -o fornames.obj `if test -f 'src/exe/fornames.c'; then $(CYGPATH_W) 'src/exe/fornames.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/fornames.c'; fi`
810 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/fornames.Tpo $(DEPDIR)/fornames.Po
811 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/fornames.c' object='fornames.obj' libtool=no @AMDEPBACKSLASH@
812 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
813 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fornames.obj `if test -f 'src/exe/fornames.c'; then $(CYGPATH_W) 'src/exe/fornames.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/fornames.c'; fi`
814
815 out-e.o: src/exe/out-e.c
816 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT out-e.o -MD -MP -MF $(DEPDIR)/out-e.Tpo -c -o out-e.o `test -f 'src/exe/out-e.c' || echo '$(srcdir)/'`src/exe/out-e.c
817 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/out-e.Tpo $(DEPDIR)/out-e.Po
818 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/out-e.c' object='out-e.o' libtool=no @AMDEPBACKSLASH@
819 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
820 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o out-e.o `test -f 'src/exe/out-e.c' || echo '$(srcdir)/'`src/exe/out-e.c
821
822 out-e.obj: src/exe/out-e.c
823 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT out-e.obj -MD -MP -MF $(DEPDIR)/out-e.Tpo -c -o out-e.obj `if test -f 'src/exe/out-e.c'; then $(CYGPATH_W) 'src/exe/out-e.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/out-e.c'; fi`
824 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/out-e.Tpo $(DEPDIR)/out-e.Po
825 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/out-e.c' object='out-e.obj' libtool=no @AMDEPBACKSLASH@
826 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
827 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o out-e.obj `if test -f 'src/exe/out-e.c'; then $(CYGPATH_W) 'src/exe/out-e.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/out-e.c'; fi`
828
829 outext.o: src/exe/outext.c
830 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT outext.o -MD -MP -MF $(DEPDIR)/outext.Tpo -c -o outext.o `test -f 'src/exe/outext.c' || echo '$(srcdir)/'`src/exe/outext.c
831 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/outext.Tpo $(DEPDIR)/outext.Po
832 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/outext.c' object='outext.o' libtool=no @AMDEPBACKSLASH@
833 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
834 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o outext.o `test -f 'src/exe/outext.c' || echo '$(srcdir)/'`src/exe/outext.c
835
836 outext.obj: src/exe/outext.c
837 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT outext.obj -MD -MP -MF $(DEPDIR)/outext.Tpo -c -o outext.obj `if test -f 'src/exe/outext.c'; then $(CYGPATH_W) 'src/exe/outext.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/outext.c'; fi`
838 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/outext.Tpo $(DEPDIR)/outext.Po
839 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/outext.c' object='outext.obj' libtool=no @AMDEPBACKSLASH@
840 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
841 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o outext.obj `if test -f 'src/exe/outext.c'; then $(CYGPATH_W) 'src/exe/outext.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/outext.c'; fi`
842
843 declare.o: src/exe/declare.c
844 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT declare.o -MD -MP -MF $(DEPDIR)/declare.Tpo -c -o declare.o `test -f 'src/exe/declare.c' || echo '$(srcdir)/'`src/exe/declare.c
845 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/declare.Tpo $(DEPDIR)/declare.Po
846 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/declare.c' object='declare.o' libtool=no @AMDEPBACKSLASH@
847 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
848 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o declare.o `test -f 'src/exe/declare.c' || echo '$(srcdir)/'`src/exe/declare.c
849
850 declare.obj: src/exe/declare.c
851 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT declare.obj -MD -MP -MF $(DEPDIR)/declare.Tpo -c -o declare.obj `if test -f 'src/exe/declare.c'; then $(CYGPATH_W) 'src/exe/declare.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/declare.c'; fi`
852 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/declare.Tpo $(DEPDIR)/declare.Po
853 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/declare.c' object='declare.obj' libtool=no @AMDEPBACKSLASH@
854 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
855 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o declare.obj `if test -f 'src/exe/declare.c'; then $(CYGPATH_W) 'src/exe/declare.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/declare.c'; fi`
856
857 opt.o: src/exe/opt.c
858 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT opt.o -MD -MP -MF $(DEPDIR)/opt.Tpo -c -o opt.o `test -f 'src/exe/opt.c' || echo '$(srcdir)/'`src/exe/opt.c
859 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/opt.Tpo $(DEPDIR)/opt.Po
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/opt.c' object='opt.o' libtool=no @AMDEPBACKSLASH@
861 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
862 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o opt.o `test -f 'src/exe/opt.c' || echo '$(srcdir)/'`src/exe/opt.c
863
864 opt.obj: src/exe/opt.c
865 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT opt.obj -MD -MP -MF $(DEPDIR)/opt.Tpo -c -o opt.obj `if test -f 'src/exe/opt.c'; then $(CYGPATH_W) 'src/exe/opt.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/opt.c'; fi`
866 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/opt.Tpo $(DEPDIR)/opt.Po
867 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/opt.c' object='opt.obj' libtool=no @AMDEPBACKSLASH@
868 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
869 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o opt.obj `if test -f 'src/exe/opt.c'; then $(CYGPATH_W) 'src/exe/opt.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/opt.c'; fi`
870
871 check.o: src/exe/check.c
872 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check.o -MD -MP -MF $(DEPDIR)/check.Tpo -c -o check.o `test -f 'src/exe/check.c' || echo '$(srcdir)/'`src/exe/check.c
873 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/check.Tpo $(DEPDIR)/check.Po
874 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/check.c' object='check.o' libtool=no @AMDEPBACKSLASH@
875 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
876 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check.o `test -f 'src/exe/check.c' || echo '$(srcdir)/'`src/exe/check.c
877
878 check.obj: src/exe/check.c
879 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check.obj -MD -MP -MF $(DEPDIR)/check.Tpo -c -o check.obj `if test -f 'src/exe/check.c'; then $(CYGPATH_W) 'src/exe/check.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/check.c'; fi`
880 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/check.Tpo $(DEPDIR)/check.Po
881 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/check.c' object='check.obj' libtool=no @AMDEPBACKSLASH@
882 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
883 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check.obj `if test -f 'src/exe/check.c'; then $(CYGPATH_W) 'src/exe/check.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/check.c'; fi`
884
885 mostlyclean-libtool:
886         -rm -f *.lo
887
888 clean-libtool:
889         -rm -rf .libs _libs
890 install-libsciintersci_la_etcDATA: $(libsciintersci_la_etc_DATA)
891         @$(NORMAL_INSTALL)
892         @list='$(libsciintersci_la_etc_DATA)'; test -n "$(libsciintersci_la_etcdir)" || list=; \
893         if test -n "$$list"; then \
894           echo " $(MKDIR_P) '$(DESTDIR)$(libsciintersci_la_etcdir)'"; \
895           $(MKDIR_P) "$(DESTDIR)$(libsciintersci_la_etcdir)" || exit 1; \
896         fi; \
897         for p in $$list; do \
898           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
899           echo "$$d$$p"; \
900         done | $(am__base_list) | \
901         while read files; do \
902           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciintersci_la_etcdir)'"; \
903           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciintersci_la_etcdir)" || exit $$?; \
904         done
905
906 uninstall-libsciintersci_la_etcDATA:
907         @$(NORMAL_UNINSTALL)
908         @list='$(libsciintersci_la_etc_DATA)'; test -n "$(libsciintersci_la_etcdir)" || list=; \
909         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
910         dir='$(DESTDIR)$(libsciintersci_la_etcdir)'; $(am__uninstall_files_from_dir)
911 install-libsciintersci_la_rootDATA: $(libsciintersci_la_root_DATA)
912         @$(NORMAL_INSTALL)
913         @list='$(libsciintersci_la_root_DATA)'; test -n "$(libsciintersci_la_rootdir)" || list=; \
914         if test -n "$$list"; then \
915           echo " $(MKDIR_P) '$(DESTDIR)$(libsciintersci_la_rootdir)'"; \
916           $(MKDIR_P) "$(DESTDIR)$(libsciintersci_la_rootdir)" || exit 1; \
917         fi; \
918         for p in $$list; do \
919           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
920           echo "$$d$$p"; \
921         done | $(am__base_list) | \
922         while read files; do \
923           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciintersci_la_rootdir)'"; \
924           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciintersci_la_rootdir)" || exit $$?; \
925         done
926
927 uninstall-libsciintersci_la_rootDATA:
928         @$(NORMAL_UNINSTALL)
929         @list='$(libsciintersci_la_root_DATA)'; test -n "$(libsciintersci_la_rootdir)" || list=; \
930         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
931         dir='$(DESTDIR)$(libsciintersci_la_rootdir)'; $(am__uninstall_files_from_dir)
932 install-libsciintersci_la_includeHEADERS: $(libsciintersci_la_include_HEADERS)
933         @$(NORMAL_INSTALL)
934         @list='$(libsciintersci_la_include_HEADERS)'; test -n "$(libsciintersci_la_includedir)" || list=; \
935         if test -n "$$list"; then \
936           echo " $(MKDIR_P) '$(DESTDIR)$(libsciintersci_la_includedir)'"; \
937           $(MKDIR_P) "$(DESTDIR)$(libsciintersci_la_includedir)" || exit 1; \
938         fi; \
939         for p in $$list; do \
940           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
941           echo "$$d$$p"; \
942         done | $(am__base_list) | \
943         while read files; do \
944           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciintersci_la_includedir)'"; \
945           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciintersci_la_includedir)" || exit $$?; \
946         done
947
948 uninstall-libsciintersci_la_includeHEADERS:
949         @$(NORMAL_UNINSTALL)
950         @list='$(libsciintersci_la_include_HEADERS)'; test -n "$(libsciintersci_la_includedir)" || list=; \
951         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
952         dir='$(DESTDIR)$(libsciintersci_la_includedir)'; $(am__uninstall_files_from_dir)
953
954 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
955         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
956         unique=`for i in $$list; do \
957             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
958           done | \
959           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
960               END { if (nonempty) { for (i in files) print i; }; }'`; \
961         mkid -fID $$unique
962 tags: TAGS
963
964 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
965                 $(TAGS_FILES) $(LISP)
966         set x; \
967         here=`pwd`; \
968         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
969         unique=`for i in $$list; do \
970             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
971           done | \
972           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
973               END { if (nonempty) { for (i in files) print i; }; }'`; \
974         shift; \
975         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
976           test -n "$$unique" || unique=$$empty_fix; \
977           if test $$# -gt 0; then \
978             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
979               "$$@" $$unique; \
980           else \
981             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
982               $$unique; \
983           fi; \
984         fi
985 ctags: CTAGS
986 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
987                 $(TAGS_FILES) $(LISP)
988         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
989         unique=`for i in $$list; do \
990             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
991           done | \
992           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
993               END { if (nonempty) { for (i in files) print i; }; }'`; \
994         test -z "$(CTAGS_ARGS)$$unique" \
995           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
996              $$unique
997
998 GTAGS:
999         here=`$(am__cd) $(top_builddir) && pwd` \
1000           && $(am__cd) $(top_srcdir) \
1001           && gtags -i $(GTAGS_ARGS) "$$here"
1002
1003 distclean-tags:
1004         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1005
1006 distdir: $(DISTFILES)
1007         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1008         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1009         list='$(DISTFILES)'; \
1010           dist_files=`for file in $$list; do echo $$file; done | \
1011           sed -e "s|^$$srcdirstrip/||;t" \
1012               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1013         case $$dist_files in \
1014           */*) $(MKDIR_P) `echo "$$dist_files" | \
1015                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1016                            sort -u` ;; \
1017         esac; \
1018         for file in $$dist_files; do \
1019           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1020           if test -d $$d/$$file; then \
1021             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1022             if test -d "$(distdir)/$$file"; then \
1023               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1024             fi; \
1025             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1026               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1027               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1028             fi; \
1029             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1030           else \
1031             test -f "$(distdir)/$$file" \
1032             || cp -p $$d/$$file "$(distdir)/$$file" \
1033             || exit 1; \
1034           fi; \
1035         done
1036 check-am: all-am
1037         $(MAKE) $(AM_MAKEFLAGS) check-local
1038 check: check-am
1039 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA) $(HEADERS) \
1040                 all-local
1041 installdirs:
1042         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libsciintersci_la_etcdir)" "$(DESTDIR)$(libsciintersci_la_rootdir)" "$(DESTDIR)$(libsciintersci_la_includedir)"; do \
1043           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1044         done
1045 install: install-am
1046 install-exec: install-exec-am
1047 install-data: install-data-am
1048 uninstall: uninstall-am
1049
1050 install-am: all-am
1051         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1052
1053 installcheck: installcheck-am
1054 install-strip:
1055         if test -z '$(STRIP)'; then \
1056           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1057             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1058               install; \
1059         else \
1060           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1061             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1062             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1063         fi
1064 mostlyclean-generic:
1065
1066 clean-generic:
1067
1068 distclean-generic:
1069         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1070         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1071
1072 maintainer-clean-generic:
1073         @echo "This command is intended for maintainers to use"
1074         @echo "it deletes files that may require special tools to rebuild."
1075 clean: clean-am
1076
1077 clean-am: clean-binPROGRAMS clean-generic clean-libtool clean-local \
1078         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1079
1080 distclean: distclean-am
1081         -rm -rf ./$(DEPDIR)
1082         -rm -f Makefile
1083 distclean-am: clean-am distclean-compile distclean-generic \
1084         distclean-local distclean-tags
1085
1086 dvi: dvi-am
1087
1088 dvi-am:
1089
1090 html: html-am
1091
1092 html-am:
1093
1094 info: info-am
1095
1096 info-am:
1097
1098 install-data-am: install-data-local install-libsciintersci_la_etcDATA \
1099         install-libsciintersci_la_includeHEADERS \
1100         install-libsciintersci_la_rootDATA
1101
1102 install-dvi: install-dvi-am
1103
1104 install-dvi-am:
1105
1106 install-exec-am: install-binPROGRAMS install-pkglibLTLIBRARIES
1107
1108 install-html: install-html-am
1109
1110 install-html-am: install-html-local
1111
1112 install-info: install-info-am
1113
1114 install-info-am:
1115
1116 install-man:
1117
1118 install-pdf: install-pdf-am
1119
1120 install-pdf-am:
1121
1122 install-ps: install-ps-am
1123
1124 install-ps-am:
1125
1126 installcheck-am:
1127
1128 maintainer-clean: maintainer-clean-am
1129         -rm -rf ./$(DEPDIR)
1130         -rm -f Makefile
1131 maintainer-clean-am: distclean-am maintainer-clean-generic
1132
1133 mostlyclean: mostlyclean-am
1134
1135 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1136         mostlyclean-libtool
1137
1138 pdf: pdf-am
1139
1140 pdf-am:
1141
1142 ps: ps-am
1143
1144 ps-am:
1145
1146 uninstall-am: uninstall-binPROGRAMS \
1147         uninstall-libsciintersci_la_etcDATA \
1148         uninstall-libsciintersci_la_includeHEADERS \
1149         uninstall-libsciintersci_la_rootDATA \
1150         uninstall-pkglibLTLIBRARIES
1151
1152 .MAKE: check-am install-am install-strip
1153
1154 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1155         clean clean-binPROGRAMS clean-generic clean-libtool \
1156         clean-local clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES \
1157         ctags distclean distclean-compile distclean-generic \
1158         distclean-libtool distclean-local distclean-tags distdir dvi \
1159         dvi-am html html-am info info-am install install-am \
1160         install-binPROGRAMS install-data install-data-am \
1161         install-data-local install-dvi install-dvi-am install-exec \
1162         install-exec-am install-html install-html-am \
1163         install-html-local install-info install-info-am \
1164         install-libsciintersci_la_etcDATA \
1165         install-libsciintersci_la_includeHEADERS \
1166         install-libsciintersci_la_rootDATA install-man install-pdf \
1167         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1168         install-ps-am install-strip installcheck installcheck-am \
1169         installdirs maintainer-clean maintainer-clean-generic \
1170         mostlyclean mostlyclean-compile mostlyclean-generic \
1171         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1172         uninstall-am uninstall-binPROGRAMS \
1173         uninstall-libsciintersci_la_etcDATA \
1174         uninstall-libsciintersci_la_includeHEADERS \
1175         uninstall-libsciintersci_la_rootDATA \
1176         uninstall-pkglibLTLIBRARIES
1177
1178
1179 # This target enables tests for Scilab
1180 check-local: $(top_builddir)/scilab-bin test
1181         if test -d $(mydatadir)/tests; then \
1182           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1183         fi
1184 check-code:
1185         if test -f build.xml; then \
1186                 $(ANT) checkstyle; \
1187         fi
1188         if test -x "$(SPLINT)"; then \
1189                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1190         fi
1191 @NEED_JAVA_TRUE@java:
1192 # Some configurations needs to export JAVA_HOME in the current env
1193 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1194 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1195 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1196 @NEED_JAVA_TRUE@                $(ANT); \
1197 @NEED_JAVA_TRUE@        fi
1198
1199 @NEED_JAVA_TRUE@clean-java:
1200 # Some configurations needs to export JAVA_HOME in the current env
1201 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1202 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1203 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1204 @NEED_JAVA_TRUE@                $(ANT) clean; \
1205 @NEED_JAVA_TRUE@        fi;
1206
1207 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1208 # We call the target swig-build on the variable SWIG_WRAPPERS
1209
1210 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1211 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1212 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1213 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1214 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1215 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1216 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1217 @SWIG_TRUE@             done; \
1218 @SWIG_TRUE@     fi
1219
1220 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1221 # We call the target swig-build on the variable SWIG_WRAPPERS
1222
1223 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1224 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1225 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1226 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1227 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1228 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1229 @GIWS_TRUE@             done; \
1230 @GIWS_TRUE@     fi
1231
1232 @GIWS_TRUE@giws-exception:
1233 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1234 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1235 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1236
1237 macros:
1238         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1239                 echo "Error : Cannot build $< : Scilab has not been built"; \
1240         else \
1241                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1242         fi)
1243
1244 # Removes the macros
1245 clean-macros:
1246 # Removes macros (*.bin generated from .sci)
1247         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1248                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1249                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1250         done
1251
1252 test:
1253 # More tests could be added here
1254         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1255         if test -f build.xml -a $$USEANT -eq 1; then \
1256                 $(ANT) test; \
1257         fi
1258
1259 all-local: $(TARGETS_ALL)
1260
1261 .sci.bin:
1262         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1263         echo "Error : Cannot build $< : Scilab has not been build"; \
1264         else \
1265         echo "Creating $@"; \
1266         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1267         fi )
1268
1269 install-html-local:
1270
1271 install-data-local-local:
1272 # Mainly for javasci
1273         @if test -d $(srcdir)/javadoc; then \
1274                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1275         fi
1276 # If the user wants the help sources to be installed
1277 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1278 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1279 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1280 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1281 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1282 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1283 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1284 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1285 @INSTALL_HELP_XML_TRUE@           done ; \
1286 @INSTALL_HELP_XML_TRUE@         fi; \
1287 @INSTALL_HELP_XML_TRUE@  fi; \
1288 @INSTALL_HELP_XML_TRUE@ done; \
1289 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1290 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1291 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1292 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1293 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1294 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1295 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1296 @INSTALL_HELP_XML_TRUE@           done ; \
1297 @INSTALL_HELP_XML_TRUE@         fi; \
1298 @INSTALL_HELP_XML_TRUE@ fi
1299 install-data-local:
1300 # Install the tests
1301         @echo "-------- Install tests (if any) --------"; \
1302         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1303           if test -d $(srcdir)/$$dir/; then \
1304             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1305                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1306                     if test -d "$(srcdir)/$$dir/$$file"; then \
1307                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1308                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1309                     else \
1310                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1311                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1312                     fi \
1313                   done; \
1314           fi; \
1315         done
1316 # Install the help chapter
1317         @echo "-------- Install the help chapter (if any) --------"; \
1318         for lang in $(HELP_CHAPTERLANG); do \
1319                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1320                 if test -f $$HELPFILE; then \
1321                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1322                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1323                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1324                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1325                 fi; \
1326         done
1327 # Install the demos & examples
1328         @echo "-------- Install demos & examples (if any) --------"; \
1329         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1330           if test -d $(srcdir)/$$dir/; then \
1331             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1332                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1333                     if test -d "$(srcdir)/$$dir/$$file"; then \
1334                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1335                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1336                     else \
1337                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1338                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1339                     fi \
1340                   done; \
1341           fi; \
1342         done
1343 # Install the macros
1344         @echo "-------- Install macros (if any) --------"; \
1345         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1346           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1347                 if test -d $(srcdir)/$$dir/; then \
1348                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1349                         if test -n "$(MACROSSPECIALEXT)"; then \
1350                                 specialExtDir=""; \
1351                                 for specialExt in $(MACROSSPECIALEXT); do \
1352                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1353                                 done; \
1354                                 FILELIST="$$FILELIST $$specialExtDir"; \
1355                         fi; \
1356                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1357                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1358                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1359                   done; \
1360                 fi; \
1361         done
1362 # Install java files (.jar)
1363         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1364         echo "-------- Install jar files --------"; \
1365     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1366           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1367                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1368                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1369           done ; \
1370         fi
1371
1372 ########### CLEAN ###################
1373 # Clean help (generated automatically by Scilab)
1374 # It used to clean the macro (clean-macros) but this was causing
1375 # make clean && make to fail Scilab startup
1376 @NEED_JAVA_TRUE@clean-local: clean-java
1377 @NEED_JAVA_FALSE@clean-local:
1378
1379 distclean-local:
1380         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1381
1382 .PHONY: macros java swig giws
1383
1384 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1385 # Otherwise a system limit (for SysV at least) may be exceeded.
1386 .NOEXPORT: